package com.sheep.gamegroup.greendao.download;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.Property;
import org.greenrobot.greendao.annotation.Generated;

/**
 * Created by realicing on 2018/9/26.
 * realicing@sina.com
 * 记录截图目录
 */
@Entity
public class ScreenShotRecord {
    /**
     * id,
     */
    @Id(autoincrement = true)
    private Long id;
    /**
     * 用户id
     */
    @Property(nameInDb = "user_id")
    private String userId;
    /**
     * 包名
     */
    @Property(nameInDb = "package_name")
    private String packageName;
    /**
     * 截图路径
     */
    @Property(nameInDb = "path")
    private String path;
    /**
     * 截图生成的时间
     */
    @Property(nameInDb = "create_time")
    private long createTime;
    public long getCreateTime() {
        return this.createTime;
    }
    public void setCreateTime(long createTime) {
        this.createTime = createTime;
    }
    public String getPath() {
        return this.path;
    }
    public void setPath(String path) {
        this.path = path;
    }
    public String getPackageName() {
        return this.packageName;
    }
    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }
    public String getUserId() {
        return this.userId;
    }
    public void setUserId(String userId) {
        this.userId = userId;
    }
    public Long getId() {
        return this.id;
    }
    public void setId(Long id) {
        this.id = id;
    }
    @Generated(hash = 2053561572)
    public ScreenShotRecord(Long id, String userId, String packageName,
            String path, long createTime) {
        this.id = id;
        this.userId = userId;
        this.packageName = packageName;
        this.path = path;
        this.createTime = createTime;
    }
    @Generated(hash = 926491684)
    public ScreenShotRecord() {
    }
}
